Generate a course from a prompt (internal only)

🔑

Required OAuth scope: courses:internal.

Triggers the generation of a course from a text prompt. This is an internal-only endpoint restricted to demo platforms. The course generation happens asynchronously, and you will receive an email notification when it completes. Retrieve the generated course using GET /courses sorted by created_at.

Body Params
string
required
length ≥ 1

The prompt to use for generating the course.

string
required
^[a-fA-F0-9]{24}$

The unique ID of the author of the course.

string
^[a-fA-F0-9]{24}$

The unique ID of the group where the course will be created.

Headers
string
enum
required

The version of the API.

Allowed:
Responses
200

The course generation has been successfully triggered. The course will be created asynchronously.

Language
Credentials
OAuth2
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json